dwarf2 error while building sh-hms on Windows

Arati D aratid@kpit.com
Tue Jul 3 03:27:00 GMT 2001


No I have not made any mistake while typing the mail !

I am indeed using binutils 2.11, gcc 2.95.3 and newlib 1.9.0 .

As per your suggestion I will download gcc 3.0  and binuitls 2.11.2
and try again for sh-hms target.

Arati


-----Original Message-----
From: gcc-bugs-owner@gcc.gnu.org [ mailto:gcc-bugs-owner@gcc.gnu.org]On
Behalf Of Toshi Morita
Sent: Tuesday, July 03, 2001 12:20 AM
To: aratid@kpit.com
Cc: gcc-bugs@gcc.gnu.org
Subject: Re: Error building sh-hms on Windows



>I get the following error during 'make' of gcc-2.95.3
>
>_muldi3
>/cygdrive/c/TEMP/cc2LBMKA.s: Assembler messages:
>/cygdrive/c/TEMP/cc2LBMKA.s:1: Fatal error: dwarf2 is not supported for
this obj ect file format
>make[3]: *** [libgcc2.a] Error 1
>make[3]: Leaving directory `/home/kpit/sh-gcc/gcc'
>make[2]: *** [stmp-multilib-sub] Error 2
>make[2]: Leaving directory `/home/kpit/sh-gcc/gcc'
>make[1]: *** [stmp-multilib] Error 1
>make[1]: Leaving directory `/home/kpit/sh-gcc/gcc'
>make: *** [all-gcc] Error 2

I suspect you actually mean gcc-3.0, which requires the latest version of
gas (2.11.2 I think).

Toshi



More information about the Gcc-bugs mailing list